Subject: [edu-team] Discussion on PPT: "Values and Unwritten Rules of the IETF"

From: <[email-masked]>
Date: Tue, 1 Dec 2015 17:44:26 +0000 (UTC)

Alvaro and I have been having discussions about the PPT:  "Values and Unwritten Rules of the IETF" and we wanted to get the opinions of the mentoring & EDU teams as well as some of the other people who have been involved in discussions about the PPT.

These are the items to discuss:

1.  The main point is that this is really one person's (basically) (Nalini's) opinion.  There is no consensus document that outlines the values of the IETF.   For example, "RFC7704 An IETF with Much Diversity and Professional Conduct" which was just published speaks of the pervasive bullying which some feel goes on at the IETF.  

There are other RFCs which speak of the goal of the IETF as being to write RFCs.  This directly contradicts this presentation.  For example:
RFC3935 (A Mission Statement for the IETF – a BCP) says this:

   The mission of the IETF is to produce high quality, relevant
   technical and engineering documents that influence the way people
   design, use, and manage the Internet in such a way as to make the
   Internet work better.  These documents include protocol standards,
   best current practices, and informational documents of various kinds.

RFC2026 (The Internet Standards Process — also a BCP):

   The goals of the Internet Standards Process are:
   o  technical excellence;
   o  prior implementation and testing;
   o  clear, concise, and easily understood documentation;
   o  openness and fairness;  and
   o  timeliness.

2.   There is a book published by Peter Gloor which talks about the IETF as a Collaborative Innovation Network (COIN).  

Swarm Creativity : Competitive Advantage through Collaborative Innovation by Peter Gloor 
By Center for Coordination Science MIT Sloan School of Management. Page 45 

Link: https://books.google.com/books?id=5b3L8jP_IqEC&pg=PA45&lpg=PA45&dq=ietf+collaborative+innovation+network&source=bl&ots=CtZYOIiU3s&sig=KCnns0GRI6tIuqtzKJ08eHbV8Jc&hl=en&sa=X&sqi=2&ved=0ahUKEwjE6NyF9KnJAhUS32MKHTqMAboQ6AEIKjAB#v=onepage&q=ietf%20collaborative%20innovation%20network&f=false

“COINs feature internal transparency and direct communication. Members of a COIN collaborate and share knowledge directly with each other, rather than through hierarchies. They come together with a shared vision because they are intrinsically motivated to do so and seek to collaborate in some way to advance an idea.” 

The features of COIN are: 

Ethical principles 
Trust and self-organization 
Knowledge accessible to everyone 
Internal honesty and transparency 

https://en.wikipedia.org/wiki/Collaborative_innovation_network 

But, this is NOT an IETF consensus document.

3.  The reason that I (Nalini) wanted to do this kind of document in the first place is that I was involved in 3 separate incidents at IETF94 where there was a misunderstanding of "values".  For example, one person (American male) felt that his I-D was not proceeding because he did not attend (or know about) the Scotch BOF and that many decisions were made by an "inner circle".  I assured him that I fell asleep and forgot to go to the Scotch BOF and that did not in any way impede the progress of my I-D (that I know of! HAHA).

The other issues have to do with people from Asian cultures and the "honesty" and "transparency" at IETF.  As a first-generation Asian immigrant, I straddle cultures so I understand their (our) point of view.  In the coming years, having cultural diversity will be even more important at the IETF.  The current frank interchange is in the range of normal (if at the extreme range) for Western cultures but off the spectrum for others, in particular Asian cultures.   They want to participate fully in the IETF and I, for one, believe it is of tremendous value.  But, for them, it is important to speak with respect for their cultures and to let them know why the frankness exists.   We all share the value of "engineering truth".

4.  So, how do we want to proceed?   Should this be an official mentoring / edu document when we actually do not have consensus on it and frankly, some people will disagree.  (I, Nalini, am happy to do this as Nalini's Experience and Opinions on the IETF.)   Should we do an I-D on this?

Alvaro feels that sharing experiences from a mentoring point of view is ideal.  In general, that is what I (Alvaro) want from my mentors: for them to share experience and experiences with me.  All the rest I can go read.

An I-D doesn't (eventually) guarantee anything related to consensus.  rfc7704 was discussed on the ietf@ietf list, but is not a consensus document.

Personally I (Alvaro) would see more value in people sharing experiences than in trying to make everyone fit a single values/culture mold — somewhere in my mind that is counter to diversity..

Comments?  (Reattaching PPT)

 Thanks,

Nalini Elkins
Inside Products, Inc.
www.insidethestack.com
(831) 659-8360

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 2 Dec 2015 13:40:04 +1300

> 1.  The main point is that this is really one person's (basically) (Nalini's) opinion.  There is no consensus document that outlines the values of the IETF.   For example, "RFC7704 An IETF with Muc…

Wearing my hat as a member of the Independent Submissions editorial board,
I can tell you that the decision to publish that RFC was heavily contested,
and it definitely does not represent IETF consensus in any way, shape or
form.

>    o  openness and fairness;  and

I don't see how those contradict the presentation. They are about the
purpose of the IETF (and it's the purpose that generates the funding,
since companies surely wouldn't fund attendance if we didn't meet the
purpose).

We have already quite a lot written about conduct of participants:
http://www.ietf.org/about/process-docs.html#rfc.section.2.6
(and draft-farrresnickel-harassment will be added there when it
becomes an RFC).

The Tao already says quite a lot about how the IETF operates in reality.
If there's some measure of agreement in the community for the points
in your slides, it could be proposed as an appendix to the Tao.
If not... it's an opinion piece, like RFC 7704.

> 2.   There is a book published by Peter Gloor which talks about the IETF as a Collaborative Innovation Network (COIN).  

He's not the first to treat the IETF as a sociology lab. I don't think
he's ever attended.

<snip>

> 3.  The reason that I (Nalini) wanted to do this kind of document in the first place is that I was involved in 3 separate incidents at IETF94 where there was a misunderstanding of "values".  For ex…

I hope you told him how to join the inner circle. Actually, a presentation
on that topic would be fun to develop.

> The other issues have to do with people from Asian cultures and the "honesty" and "transparency" at IETF.  As a first-generation Asian immigrant, I straddle cultures so I understand their (our) poi…

Sure. I think this is useful although quite hard to do.

> 4.  So, how do we want to proceed?   Should this be an official mentoring / edu document when we actually do not have consensus on it and frankly, some people will disagree.  (I, Nalini, am happy t…

Yes. The more IETF consensus we have on the result, the greater the impact.

> An I-D doesn't (eventually) guarantee anything related to consensus.  rfc7704 was discussed on the ietf@ietf list, 

As far as I can see, by only 3 people + 1 author.
https://mailarchive.ietf.org/arch/search/?qdr=a&start_date=&end_date=&email_list=&q=subject%3A%28draft-crocker-diversity-conduct%29&as=1

Maybe it was also discussed on the diversity list.

> but is not a consensus document.

And it will (I (Brian) predict) sink like a stone.

> Personally I (Alvaro) would see more value in people sharing experiences than in trying to make everyone fit a single values/culture mold — somewhere in my mind that is counter to diversity..

Sure, but there are some basics. What I find interesting is that we have
extremely successful participants from cultures that are notorious for
being very status-based, not to mention unsuccessful participants from
supposedly outspoken cultures. So I think the IETF culture has its own
strengths for anybody to find.

Regards
    Brian

---

From: <[email-masked]>
Date: Wed, 2 Dec 2015 02:03:15 +0000 (UTC)

>since companies surely wouldn't fund attendance if we didn't meet the

I should have said that they contradict or rather they are different from my slide 3 which says:

"The IETF exists to solve problems in the Internet

Not to write RFCs"

But, there is a lot of agreement in my presentation and the RFCs cited above.  In fact, "making the Internet work better" is to solve problems.   I suppose if I change it to "not JUST to be an RFC mill", then that might be better.
<snip>

>If not... it's an opinion piece, like RFC 7704.

Sure.

>he's ever attended.

Interesting.  I do agree with quite a bit of his assessment, though.  Will be interesting to see if others do.
>> 
>> 3.  The reason that I (Nalini) wanted to do this kind of document in the first place is that I was involved in 3 separate incidents at IETF94 where there was a misunderstanding of >>"values".  For example, one person (American male) felt that his I-D was not proceeding because he did not attend (or know about) the Scotch BOF and that many decisions were made by an >>"inner circle".  I assured him that I fell asleep and forgot to go to the Scotch BOF and that did not in any way impede the progress of my I-D (that I know of! HAHA).

> I hope you told him how to join the inner circle. Actually, a presentation on that topic would be fun to develop.

I basically told him to join the inner circle, work hard, have something good and interesting to say and listen really well to others because you will learn a lot.  And, as you yourself told me a number of years back, IETF is a community.  You need to think of what you can give to it, not just what it can give to you.  Yes, I think a presentation on this would be good.

>> 4.  So, how do we want to proceed?   Should this be an official mentoring / edu document when we actually do not have consensus on it and frankly, some people will disagree.  (I, >>Nalini, am happy to do this as Nalini's Experience and Opinions on the IETF.)   Should we do an I-D on this?

>Yes. The more IETF consensus we have on the result, the greater the impact.

OK.  I will start creating this as an I-D.  If anyone wants to help / co-author, please let me know.  Pls email me unicast.

Thanks for your comments, Brian.

Nalini

---

From: "Ralph Droms (rdroms)" <[email-masked]>
Date: Wed, 2 Dec 2015 21:29:44 +0000

> On Dec 1, 2015, at 12:44 PM 12/1/15, [email-masked] wrote:
> 

As someone else wrote, I don't really see the conflict - "The IETF exists to solve problems in the Internet", and the primary way in which we accomplish that goal is through the publication of RFCs.  But RFCs are a means to an end, not the end goal itself.

> The other issues have to do with people from Asian cultures and the "honesty" and "transparency" at IETF.  As a first-generation Asian immigrant, I straddle cultures so I understand their (our) poi…

I'm not sure quite what to say, here.  I think that "honesty and transparency" sometimes crosses the line into rudeness, and that line to rudeness varies between cultures.  "Honesty and transparency" also applies to starting and developing documents; the technique of writing an I-D that parallels an existing WG doc and then asking strongly and repeatedly to merge the new I-D with the existing doc so as to get names added to the original doc is not honest and transparent at all.
> 
> 4.  So, how do we want to proceed?   Should this be an official mentoring / edu document when we actually do not have consensus on it and frankly, some people will disagree.  (I, Nalini, am happy to do this as Nalini's Experience and Opinions on the IETF.)

I think it is a good document if clearly labeled as your opinion, with acknowledgement/support from those who have reviewed and provided feedback.

>   Should we do an I-D on this?

That would be an interesting exercise.  The process might be very useful, even if consensus for publication can't be obtained.
> (831) 659-8360<IETFValuesAndUnwrittenRules.pptx>

---

From: "Ralph Droms (rdroms)" <[email-masked]>
Date: Wed, 2 Dec 2015 21:29:49 +0000

---

From: "Ralph Droms (rdroms)" <[email-masked]>
Date: Wed, 2 Dec 2015 21:30:00 +0000

---

From: <[email-masked]>
Date: Fri, 4 Dec 2015 02:36:59 +0000 (UTC)

>> 
>> 3.  The reason that I (Nalini) wanted to do this kind of document in the first place is that I was involved in 3 separate incidents at IETF94 where there was a misunderstanding of >>"values".  For example, one person (American male) felt that his I-D was not proceeding because he did not attend (or know about) the Scotch BOF and that many decisions were made >>by an "inner circle".  I assured him that I fell asleep and forgot to go to the Scotch BOF and that did not in any way impede the progress of my I-D (that I know of! HAHA).
>> 
>> The other issues have to do with people from Asian cultures and the "honesty" and "transparency" at IETF.  As a first-generation Asian immigrant, I straddle cultures so I understand their >>(our) point of view.  In the coming years, having cultural diversity will be even more important at the IETF.  The current frank interchange is in the range of normal (if at the extreme range) >>for Western cultures but off the spectrum for others, in particular Asian cultures.  They want to participate fully in the IETF and I, for one, believe it is of tremendous value.  But, for them, it >>is important to speak with respect for their cultures and to let them know why the frankness exists.  We all share the value of "engineering truth".

>I'm not sure quite what to say, here.  I think that "honesty and transparency" sometimes crosses the line into rudeness, and that line to rudeness varies between cultures.  "Honesty and >transparency" also applies to starting and developing documents; the technique of writing an I-D that parallels an existing WG doc and then asking strongly and repeatedly to merge the >new I-D with the existing doc so as to get names added to the original doc is not honest and transparent at all.

I think this is a very interesting example.  What I am trying to do is to surface the underlying dynamic or value.   If the reaction to your example above is outrage/ exasperation / annoyance, then I would say that the underlying values are honesty, transparency, and doing your own work (another value that I believe many of us share).
Alternatively, if the reaction is admiration, then I would say the value is "succeed at any cost" or "do whatever it takes".   I would say that these are NOT values that many of us share but it clearly MAY be the value system of those who do the behavior above.  I believe it makes sense to communicate that many of us have different values.  I don't want to put down other people's values, there may be quite a bit of history to why they got to that point.   But they may care to know that many at IETF do not share those values.  I feel that this is not a discussion that is being had and probably should be had.

>> 
>> 4.  So, how do we want to proceed?  Should this be an official mentoring / edu document when we actually do not have consensus on it and frankly, some people will disagree.  (I, Nalini, >>am happy to do this as Nalini's Experience and Opinions on the IETF.)

>I think it is a good document if clearly labeled as your opinion, with acknowledgement/support from those who have reviewed and provided feedback.
Thank you to all who have reviewed and provided support.

>That would be an interesting exercise.  The process might be very useful, even if consensus for publication can't be obtained.
I will work on creating an I-D.  It may be best if it is authored only by me and clearly stated that this is my opinion.  Even if we do not get consensus, I think it is worth discussing.   I also want to communicate a vision of the best that we can be to mentees and newcomers.

 Nalini

---

From: "Visweswaran, Gowri" <[email-masked]>
Date: Fri, 4 Dec 2015 15:24:48 +0000

As a relative newcomer to IETF and an Asian woman myself, I found Nalini’s document very insightful and helpful and gave me a heads up on preempting some issues that might arise,
Or ideas for handling them better if they do arise.

Gowri

From: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Reply-To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Thursday, December 3, 2015 at 9:36 PM
To: "Ralph Droms (rdroms)" <[email-masked]<mailto:[email-masked]>>
Cc: "Alvaro Retana (aretana)" <[email-masked]<mailto:[email-masked]>>, Christian O'Flaherty <[email-masked]<mailto:[email-masked]>>, "Carlos M. Martinez" <[email-masked]<mailto:[email-masked]>>, Alia Atlas <[email-masked]<mailto:[email-masked]>>, "Fred Baker (fred)" <[email-masked]<mailto:[email-masked]>>, "Victor Kuarsingh (vkuarsin)" <[email-masked]<mailto:[email-masked]>>, "Brian E. Carpenter" <[email-masked]<mailto:[email-masked]>>, Mirjam Kuehne <[email-masked]<mailto:[email-masked]>>, "Romascanu Dan (Dan)" <[email-masked]<mailto:[email-masked]>>, Wesley Eddy <[email-masked]<mailto:[email-masked]>>, Marius Georgescu <[email-masked]<mailto:[email-masked]>>, Michael Ackermann <[email-masked]<mailto:[email-masked]>>, Visweswaran Gowri <[email-masked]<mailto:[email-masked]>>, Gabriel Montenegro <[email-masked]<mailto:[email-masked]>>, Vinayak Hegde <[email-masked]<mailto:[email-masked]>>, EDU Team <[email-masked]<mailto:[email-masked]>>, "Scott O. Bradner" <[email-masked]<mailto:[email-masked]>>, Bradner Scott <[email-masked]<mailto:[email-masked]>>
Subject: Re: Discussion on PPT: "Values and Unwritten Rules of the IETF"

 Nalini

---

From: <[email-masked]>
Date: Fri, 4 Dec 2015 15:48:05 +0000 (UTC)

Thanks for the support, Gowri.
Gowri is the latest addition to the mentoring team.  She was a mentee at IETF94 and now wants to help other newcomers. 
Nalini ElkinsInside Products, Inc.www.insidethestack.com(831) 659-8360
      From: "Visweswaran, Gowri" <[email-masked]>
 To: "[email-masked]" <[email-masked]>; Ralph Droms (rdroms) <[email-masked]> 
Cc: Alvaro Retana (aretana) <[email-masked]>; Christian O'Flaherty <[email-masked]>; Carlos M. Martinez <[email-masked]>; Alia Atlas <[email-masked]>; Fred Baker (fred) <[email-masked]>; Victor Kuarsingh (vkuarsin) <[email-masked]>; Brian E. Carpenter <[email-masked]>; Mirjam Kuehne <[email-masked]>; Romascanu Dan (Dan) <[email-masked]>; Wesley Eddy <[email-masked]>; Marius Georgescu <[email-masked]>; Michael Ackermann <[email-masked]>; Gabriel Montenegro <[email-masked]>; Vinayak Hegde <[email-masked]>; EDU Team <[email-masked]>; Scott O. Bradner <[email-masked]>; Bradner Scott <[email-masked]>
 Sent: Friday, December 4, 2015 7:24 AM
 Subject: Re: Discussion on PPT: "Values and Unwritten Rules of the IETF"
   
As a relative newcomer to IETF and an Asian woman myself, I found Nalini’s document very insightful and helpful and gave me a heads up on preempting some issues that might arise, Or ideas for handling them better if they do arise. 
Gowri

From: "[email-masked]" <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
Date: Thursday, December 3, 2015 at 9:36 PM
To: "Ralph Droms (rdroms)" <[email-masked]>
Cc: "Alvaro Retana (aretana)" <[email-masked]>, Christian O'Flaherty <[email-masked]>, "Carlos M. Martinez" <[email-masked]>, Alia Atlas <[email-masked]>, "Fred Baker (fred)" <[email-masked]>, "Victor Kuarsingh (vkuarsin)" <[email-masked]>, "Brian E. Carpenter" <[email-masked]>, Mirjam Kuehne <[email-masked]>, "Romascanu Dan (Dan)" <[email-masked]>, Wesley Eddy <[email-masked]>, Marius Georgescu <[email-masked]>, Michael Ackermann <[email-masked]>, Visweswaran Gowri <[email-masked]>, Gabriel Montenegro <[email-masked]>, Vinayak Hegde <[email-masked]>, EDU Team <[email-masked]>, "Scott O. Bradner" <[email-masked]>, Bradner Scott <[email-masked]>
Subject: Re: Discussion on PPT: "Values and Unwritten Rules of the IETF"

 Nalini

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 5 Dec 2015 08:01:00 +1300

> Gowri is the latest addition to the mentoring team.  She was a mentee at IETF94 and now wants to help other newcomers. 

This is kind of off-topic but I think it's interesting anyway: Yesterday I was
reeling after reading some of the ignorant comments in a forum discussion [1]
of RFC7704. Then I discovered that while I find it fairly easy to estimate how
many older RFCs have women authors, it's virtually impossible for me to do
so for recent RFCs and drafts. Why? Because I can't guess the gender of very
many of the recent authors. Why not? Because of their ethnic diversity.

So we have made some progress, I think.

   Brian

[1] http://www.theregister.co.uk/2015/12/02/ietfs_white_men_urged_to_tone_it_down/

---

From: <[email-masked]>
Date: Fri, 4 Dec 2015 21:11:31 +0000 (UTC)

>So we have made some progress, I think.
To continue for a moment on the off-topic, the mentoring program wants to quietly help with the ethnic and gender diversity.   Hence some of the initiatives we have started.   IMHO, progress is being made.   BTW, I believe Gowri's team won the Hackathon.
Nalini